Subject: Re: 24.0.50; Emacs 24 doesn't build on Solaris 10

From: Chong Yidong <[email-masked]>
Date: Mon, 06 Dec 2010 12:07:23 -0500

> When I tried to build Emacs bazaar trunk on Solaris 10 to check if
> bug#7163 still occurs on trunk, I ran into two issues:
>
> * lisp/Makefile.in (compile-clean) uses $() which the Solaris 10 /bin/sh
>   doesn't understand.  This can easily be avoided by using `` instead.
>
> * src/sysdep.c doesn't compile:
>
> "/usr/include/term.h", line 1034: syntax error before or at: bool

Since the Makefile.in change and the tputs prototype suggested by Dan
have both been committed now, I'm closing the bug.  If the new changes
don't work properly please reopen if, or file another bug if you
encounter other problems building Emacs 24 on Solaris.  Thanks for the
report.